<?php
include('cfg.php');
session_start();
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head"><img src="./images/Q_ride_like_the_wind.png" alt=* align="middle"> Создание новой страны';
echo ' <div style="clear: left"></div></div><div class="money">';

if (isset($id)) header("Location: game.php");
echo $style;


$bez = mysql_fetch_array(mysql_query("SELECT * FROM `reg_limit` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"));


$reg_zapret = mysql_result(mysql_query("SELECT count(ip) FROM `reg_bun` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"),0);

if ($reg_zapret >= '1')
	{
	echo 'Для вас регистрация закрыта';
	echo '</div><a class="razd" href="./index.php">Вернуться</a>';
	exit();
	}

if (intval($bez['time']+250) > $time)
	{
	echo 'Для вас регистрация будет доступна через '.intval(intval($bez['time']+250)-$time).' секунд';
	echo '</div><a class="razd" href="./index.php">Вернуться</a>';
	exit();
	}






if($_GET['act'] == "reg")
{
	$error='';
	$login = trim(htmlspecialchars($_POST[login]));
	$country = trim(htmlspecialchars($_POST[country]));
	$code = htmlspecialchars($_POST[code]);
	if($_SESSION['secpic']!=strtolower($code)) $error .= 'Неверный защитный код<br />';
	
	


  if (!preg_match("|^[-a-z0-9а-я/._]{3,30}$|i",$login)) $error .= 'Логин должен состоять только из латинских букв и цифр<br />';
	$isset_login = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `login`='$login'"),0);
	if ($isset_login > '0') $error .= 'Такой логин уже существует<br />';
	 if (mysql_num_rows(mysql_query("SELECT `id` FROM `users` WHERE `country` = '".(mysql_real_escape_string($country))."';")) == 1)
		$error .= 'Такая страна уже существует<br/>';
	if(!preg_match('/^[a-z0-9а-яґіїё_ -]{4,}$/iu', $country)) $error .='В названии страны есть запрещеные символы!<br />';

	$count_login = mb_strlen($login, 'UTF-8');
	$count_country = mb_strlen($country, 'UTF-8');
	$count_sw = mb_strlen($sw, 'UTF-8');
	$count_mail = mb_strlen($_POST['mail'], 'UTF-8');

	
 	if ($count_login < 4 || $count_login > 20) $error .= 'Неверная длина логина<br/>';
 	if ($count_country < 4 || $count_country > 20) $error .= 'Неверная длина названия страны<br/>';
   


    if (empty($error))
    	{
	$login=$_POST['login'];
	$mail=$_POST['mail'];
	$country=$_POST['country'];
	
	$sw=$_POST['sw'];
	$password=md5($time);
	$pass=substr($password,0,5);
	$marat=$time+6*60*60;
    $woods=rand(500,1500);
    $mountains=rand(500,1500);
    $land=4000-$woods-$mountains;
	mysql_query("INSERT INTO users SET
	login='$login',
	pass='$pass',
	mail='',
	secret_word='',
	country='$country',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id1 = mysql_insert_id();
	add_new($country,$id1,3);


	$login2='Дезертиры '.$country;
	$login3='Захваченная деревня '.$country;
	$login4='Пустая территория '.$country;

	mysql_query("INSERT INTO users SET
	login='$login2',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login2',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id2 = mysql_insert_id();
	add_new($login2,$id2,3);
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100',`solders`='10';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id2',`type`='lumber',`land`='100',`solders`='5';");


		mysql_query("INSERT INTO users SET
	login='$login3',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login3',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id3 = mysql_insert_id();
	add_new($login3,$id3,3);
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100',`solders`='5';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id3',`type`='lumber',`land`='100',`solders`='7';");
		mysql_query("INSERT INTO users SET
	login='$login4',
	pass='".rand(10000,199999)."',
	mail='$mail',
	country='$login4',
	date_reg='$dt',
	time_reg='$time',
	nalog_time='$time',
	marat_end='$marat',
	woods='$woods',
	mountains='$mountains',
	land='$land'
	");
	$id4 = mysql_insert_id();
	add_new($login4,$id4,3);
	mysql_query("INSERT INTO `ubuildings` SET `name`='Деревня', `sname`='Village',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4',`type`='lumber',`land`='100',`solders`='8';");
	mysql_query("INSERT INTO `ubuildings` SET `name`='Ратуша', `sname`='Guildhall',`lvl`='1',`time_end`='".time()."',`end`='1',`hp`='100',`owner_id`='$id4',`type`='lumber',`land`='100',`solders`='11';");

	echo 'Вы успешно зарегистрировались. Ваш пароль <b>'.$pass.'</b> <br /><small>Вы можете сменить пароль в профиле!</small>
	</div><a class="razd" href="auth.php?login='.$login.'&pass='.$pass.'">&raquo;Продолжить</a>
	';
	$_SESSION['secpic'] = '';
	
	
	$count_b = mysql_result(mysql_query("SELECT count(*) FROM `reg_limit` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"),0);
	if ($count_b != '0')
		{
			$bez = mysql_fetch_array(mysql_query("SELECT * FROM `reg_limit` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"));
			if (intval($bez['time']+250) < $time)
				{
				mysql_query("DELETE FROM `reg_limit` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'");
				} else mysql_query("UPDATE `reg_limit` SET `count`=count+'1' WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'");
		} else mysql_query("INSERT INTO `reg_limit` SET `count`='1', `ip`='".$_SERVER["REMOTE_ADDR"]."',`time`='$time'");
	
	
		}
		else echo '<b>Ошибка</b><br />'.$error.'</div><a class="razd" href="./reg.php">Вернуться</a>';
}
else
{
	echo '
	<form action="reg.php?act=reg" method="post">
	
 	Введите <b>Логин</b>:<br />
	<input name="login" type="text" value=""></div><div class="money">
	
	Название страны:<br />
	<input name="country" type="text" value=""><br />
	';
	$_SESSION['secpic'] = rand(10000,99999);
	echo 'Введите число: '.$_SESSION['secpic'].'<br />
	<input name="code" type="text" value=""><br />
	

	
	</div><div class="money">
	<br />
	<input type="submit" value="Регистрация">
	</form></div><a class="razd" href="./index.php">Вернуться</a>
	';
}
?>